libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_comment_clear

declared in "vorbis/codec.h";

This function frees the internal storage associated with a vorbis_comment structure.

Note: Be careful if you have modified the vorbis_comment structure yourself, as libvorbis will try to use its own wrappers of memory allocation functions to free the contents of the vorbis_comment structure. This will not work correctly unless all arrays and comment strings contained in the vorbis_comment structure were allocated by libvorbis itself. This function is only guaranteed to be safe if all modification to the vorbis_comment structure was done using libvorbis functions.

    extern void     vorbis_comment_clear(vorbis_comment *vc);

### Parameters

vc
  The vorbis_comment structure to clear.

### Return Values

> - None.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101